Skip to content
Start here

Disable R2 catalog

client.r2DataCatalog.disable(stringbucketName, R2DataCatalogDisableParams { account_id } params, RequestOptionsoptions?): void
POST/accounts/{account_id}/r2-catalog/{bucket_name}/disable

Disable an R2 bucket as a catalog. This operation deactivates the catalog but preserves existing metadata and data files. The catalog can be re-enabled later.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers R2 Data Catalog Write
ParametersExpand Collapse
bucketName: string

Specifies the R2 bucket name.

maxLength63
minLength3
params: R2DataCatalogDisableParams { account_id }
account_id: string

Use this to identify the account.

Disable R2 catalog

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

await client.r2DataCatalog.disable('my-data-bucket', {
  account_id: '0123456789abcdef0123456789abcdef',
});
Returns Examples